Bug 754101 - (EAP 5.1.x admin-console) Exploded deployment of an EAR not containing MANIFEST.MF causes error
(EAP 5.1.x admin-console) Exploded deployment of an EAR not containing MANIFE...
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Larry O'Leary
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-15 07:18 EST by Jan Martiska
Modified: 2013-02-14 16:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-14 16:47:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-7526 Minor Open Exploded deployment of an EAR not containing MANIFEST.MF causes error 2014-04-15 05:48:40 EDT

  None (edit)
Description Jan Martiska 2011-11-15 07:18:46 EST
This issue applies to EAP 5.1.2 ER2.

When you use the admin console to deploy (in exploded form) an EAR that does not contain META-INF/MANIFEST.MF file, you will see an error like this>

Failed to create Resource mock-ear.ear - cause: java.io.FileNotFoundException:/home/jmartisk/builds/jboss-eap-noauth-5.1.2-ER2/jboss-as/server/default/deploy/mock-ear.ear/META-INF/MANIFEST.MF (No such file or directory)

The EAR application (at least in my case) still gets deployed properly, but this error message might cause confusion to the user.

Full stacktrace from the EAP log:
java.io.FileNotFoundException: /home/jmartisk/builds/jboss-eap-noauth-5.1.2-ER2/jboss-as/server/default/deploy/mock-ear.ear/META-INF/MANIFEST.MF (No such file or directory)
at java.io.FileOutputStream.open(Native Method)
at java.io.FileOutputStream.<init>(FileOutputStream.java:194)
at java.io.FileOutputStream.<init>(FileOutputStream.java:145)
at org.rhq.plugins.jbossas5.deploy.AbstractDeployer.deploy(AbstractDeployer.java:156)
at org.rhq.plugins.jbossas5.helper.CreateChildResourceFacetDelegate.createContentBasedResource(CreateChildResourceFacetDelegate.java:124)
at org.rhq.plugins.jbossas5.helper.CreateChildResourceFacetDelegate.createResource(CreateChildResourceFacetDelegate.java:56)
at org.rhq.plugins.jbossas5.ApplicationServerComponent.createResource(ApplicationServerComponent.java:317)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
at java.util.concurrent.FutureTask.run(FutureTask.java:138)
at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
at java.lang.Thread.run(Thread.java:662)
Comment 1 Larry O'Leary 2013-02-14 16:47:56 EST
I retested this in EAP 5.2 and did not see the error.

Closing as WORKSFORME as there is no RHQ specific action to take at this point. If this issue still exists in admin-console we should get downstream JBPAPP-7526 cloned to EMBJOPR JIRA.

Note You need to log in before you can comment on or make changes to this bug.